Subject: Re: linux-next: manual merge of the battery tree with the pci tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 9 Jul 2019 10:14:24 +1000

Hi all,

On Fri, 28 Jun 2019 13:55:11 +1000 Stephen Rothwell <[email-masked]> wrote:
> 
> Today's linux-next merge of the battery tree got a conflict in:
> 
>   Documentation/power/power_supply_class.txt
> 
> between commit:
> 
>   151f4e2bdc7a ("docs: power: convert docs to ReST and rename to *.rst")
> 
> from the pci tree and commit:
> 
>   49c9cd95bb6d ("power: supply: add input power and voltage limit properties")
> 
> from the battery tree.
> 
> I fixed it up (I deleted the file and adde the following merge fix patch)
> and can carry the fix as necessary. This is now fixed as far as linux-next
> is concerned, but any non trivial conflicts should be mentioned to your
> upstream maintainer when your tree is submitted for merging.  You may
> also want to consider cooperating with the maintainer of the conflicting
> tree to minimise any particularly complex conflicts.
> 
> From: Stephen Rothwell <[email-masked]>
> Date: Fri, 28 Jun 2019 13:52:44 +1000
> Subject: [PATCH] power: supply: update for conversion to .rst
> 
> Signed-off-by: Stephen Rothwell <[email-masked]>
> ---
>  Documentation/power/power_supply_class.rst | 8 ++++++++
>  1 file changed, 8 insertions(+)
> 
> diff --git a/Documentation/power/power_supply_class.rst b/Documentation/power/power_supply_class.rst
> index 3f2c3fe38a61..883b2ef63119 100644
> --- a/Documentation/power/power_supply_class.rst
> +++ b/Documentation/power/power_supply_class.rst
> @@ -166,6 +166,14 @@ INPUT_CURRENT_LIMIT
>    input current limit programmed by charger. Indicates
>    the current drawn from a charging source.
>  
> +INPUT_VOLTAGE_LIMIT
> +  input voltage limit programmed by charger. Indicates
> +  the voltage limit from a charging source.
> +
> +INPUT_POWER_LIMIT
> +  input power limit programmed by charger. Indicates
> +  the power limit from a charging source.
> +
>  CHARGE_CONTROL_LIMIT
>    current charge control limit setting
>  CHARGE_CONTROL_LIMIT_MAX
> -- 
> 2.20.1

I am still getting this conflict (the commit ids may have changed).
Just a reminder in case you think Linus may need to know.

-- 
Cheers,
Stephen Rothwell